AlertConditionEvaluator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertConditionEvaluator interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Interface AlertConditionEvaluator

All Known Implementing Classes:
  MultiConditionEvaluator, RecoveryConditionEvaluator, SingleConditionEvaluator

    public interface AlertConditionEvaluator

Evaluates whether or not an alert should fire when a specific event causes a single alert condition to evaluate to true or false

Method Summary
`java.lang.Integer` | `getAlertDefinitionId()`
`ExecutionStrategy` | `getExecutionStrategy()`
`java.io.Serializable` | `getState()`
`void` | `initialize(java.io.Serializable initialState)` Initializes this evaluator
`void` | `triggerFired(TriggerFiredEvent event)` A trigger was fired, indicating an alert condition evaluated to true
`void` | `triggerNotFired(TriggerNotFiredEvent event)` A trigger was not fired, indicating that an alert condition evaluated to false

Method Detail

### getAlertDefinitionId

    java.lang.Integer getAlertDefinitionId()

  Returns:
    The ID of the alert definition associated with this evaluator

### getExecutionStrategy

    ExecutionStrategy getExecutionStrategy()

  Returns:
    The `ExecutionStrategy` used by this evaluator to fire alert condition satisfied events

### getState

    java.io.Serializable getState()

  Returns:
    Any state held by this evaluator that should be persisted between server restarts. May be null if no state saved.

### initialize

    void initialize(java.io.Serializable initialState)

  Initializes this evaluator

  Parameters:
    `initialState` - Any state that was saved by the evaluator with this alertDefinitionId the last time the server was shutdown. May be null if no state saved.

### triggerFired

    void triggerFired(TriggerFiredEvent event)

  A trigger was fired, indicating an alert condition evaluated to true

  Parameters:
    `event` - The `TriggerFiredEvent` representing the data that caused the condition to evaluate to true

### triggerNotFired

    void triggerNotFired(TriggerNotFiredEvent event)

  A trigger was not fired, indicating that an alert condition evaluated to false

  Parameters:
    `event` - The `TriggerNotFiredEvent` representing the data that caused the condition to evaluate to true

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.